package dev.kske.chess.uci;

import java.util.ArrayList;
import java.util.List;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>UCIOption.java</strong><br>
 * Created: <strong>22.07.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class UCIOption {

	public String		name, defaultVal, minVal, maxVal;
	public GUIType		type;
	public List<String>	varList;

	public UCIOption() {
		varList = new ArrayList<>();
	}

	public static enum GUIType {
		CHECK, SPIN, COMBO, BUTTON, STRING
	}
}
